#!/usr/bin/env python
#coding: utf-8

# BEGIN: 11:24 Uhr
# END: 11:40 Uhr

import wx

wx.SetDefaultPyEncoding("iso-8859-15")


class MyFrame(wx.Frame):
    
    def __init__(self, parent = None, title = "MainWindow - [Preview]"):
        wx.Frame.__init__(self, parent, -1, title)
        
        panel = wx.Panel(self)
        
        vbox_main = wx.BoxSizer(wx.VERTICAL)
        panel.SetSizer(vbox_main)
        
        fbox = wx.FlexGridSizer(rows = 4, cols = 5)
        vbox_main.Add(fbox, 0, wx.EXPAND | wx.ALL, 3)
        for i in xrange(4):
            fbox.AddGrowableCol(i)
        
        lab_stellen = wx.StaticText(panel, label = "Stellen")
        fbox.Add(lab_stellen, 0, wx.ALL, 3)
        
        lab_wert = wx.StaticText(panel, label = "Wert")
        fbox.Add(lab_wert, 0, wx.ALL, 3)
        
        fbox.Add((0, 0))
        
        lab_stellen2 = wx.StaticText(panel, label = "Stellen")
        fbox.Add(lab_stellen2, 0, wx.ALL, 3)
        
        lab_start = wx.StaticText(panel, label = "Start")
        fbox.Add(lab_start, 0, wx.ALL, 3)
        
        txt_stellen = wx.TextCtrl(panel, size = (60, -1))
        fbox.Add(txt_stellen, 0, wx.ALL, 3)
        
        txt_wert = wx.TextCtrl(panel, size = (60, -1))
        fbox.Add(txt_wert, 0, wx.ALL, 3)
        
        lab_strich = wx.StaticText(panel, label = "-")
        fbox.Add(lab_strich, 0, wx.ALL, 3)
        
        txt_stellen2 = wx.TextCtrl(panel, size = (60, -1))
        fbox.Add(txt_stellen2, 0, wx.ALL, 3)
        
        txt_start = wx.TextCtrl(panel, size = (60, -1))
        fbox.Add(txt_start, 0, wx.ALL, 3)
        
        fbox.Add((0, 0))
        fbox.Add((0, 0))
        fbox.Add((0, 0))
        fbox.Add((0, 0))
        
        lab_ende = wx.StaticText(panel, label = "Ende")
        fbox.Add(lab_ende, 0, wx.ALL, 3)
        
        fbox.Add((0, 0))
        fbox.Add((0, 0))
        fbox.Add((0, 0))
        fbox.Add((0, 0))
        
        txt_ende = wx.TextCtrl(panel, size = (60, -1))
        fbox.Add(txt_ende, 0, wx.ALL, 3)
        
        vbox = wx.BoxSizer(wx.VERTICAL)
        vbox_main.Add(vbox, 1, wx.EXPAND | wx.ALL, 3)
        
        txt_preview = wx.TextCtrl(panel, size = (-1, 200), style = wx.TE_MULTILINE)
        vbox.Add(txt_preview, 1, wx.EXPAND | wx.ALL, 3)
        
        btn_demo = wx.Button(panel, label = "Demo")
        vbox.Add(btn_demo, 0, wx.EXPAND | wx.ALL, 3)
        
        btn_push = wx.Button(panel, label = "PushButton")
        vbox.Add(btn_push, 0, wx.EXPAND | wx.ALL, 3)
        
        btn_push2 = wx.Button(panel, label = "PushButton")
        vbox.Add(btn_push2, 0, wx.EXPAND | wx.ALL, 3)
        
        self.CreateStatusBar()
        
        # Layout
        panel.Fit()
        self.Fit()


def main():
    """Testing"""
    app = wx.PySimpleApp()
    f = MyFrame()
    f.Center()
    f.Show()
    app.MainLoop()


if __name__ == "__main__":
    main()
